Bug 799149 - Disable adding products to system template in cli/API
Disable adding products to system template in cli/API
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Og Maciel
: Triaged
Depends On:
Blocks: 796239
  Show dependency treegraph
 
Reported: 2012-03-01 16:45 EST by Justin Sherrill
Modified: 2014-09-18 11:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 14:29:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2012-03-01 16:45:16 EST
Description of problem:

As part of https://bugzilla.redhat.com/show_bug.cgi?id=796239 we decided to remove the ability to associate a product with a system template.  We've done so in the UI, but we need to also do it in the cli & api.
Comment 2 Justin Sherrill 2012-03-06 13:46:46 EST
taking
Comment 3 Justin Sherrill 2012-03-06 18:10:49 EST


cli   305077c8a1228a632418517603b629f07ea20ead
api   4767b8a7092dd91a591e881f5d65c0814a31fcee
webUI  d46df430ae1cc90516e63d18fe01086293fa2ad6
Comment 5 Ivan Necas 2012-03-07 08:51:42 EST
This introduced regressions when adding repository to template, fixed in  59ea0b82fb0100bb418a3901b8f6540549e7e771
Comment 7 Mike McCune 2012-03-07 18:43:53 EST
mass move ON_QA after brewing
Comment 8 Og Maciel 2012-03-09 15:14:13 EST
Validated:
* candlepin-0.5.24-1.el6.noarch
* candlepin-tomcat6-0.5.24-1.el6.noarch
* katello-0.1.303-1.el6.noarch
* katello-all-0.1.303-1.el6.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.0.4-1.el6.noarch
* katello-cli-0.1.102-1.el6.noarch
* katello-cli-common-0.1.102-1.el6.noarch
* katello-common-0.1.303-1.el6.noarch
* katello-configure-0.1.104-1.el6.noarch
* katello-glue-candlepin-0.1.303-1.el6.noarch
* katello-glue-foreman-0.1.303-1.el6.noarch
* katello-glue-pulp-0.1.303-1.el6.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-0.1.8-1.el6.noarch
* pulp-1.0.0-4.el6.noarch
* pulp-common-1.0.0-4.el6.noarch
* pulp-selinux-server-1.0.0-4.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.